<%@ Page Language="C#" %>

<%@ Register TagPrefix="anthem" Namespace="Anthem" Assembly="Anthem" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <anthem:HiddenField ID="hiddenField" runat="server" Value="foo" />
            <p>
                The hidden field on this page has an initial value of "foo". Click the "Get Value"
                button to trigger a call back to the server which will update a label on the page
                with the field's current value. Click the "Set Value" button to trigger a call back
                to the server to set a new value on the field and update it on the page. Click "Get
                Value" again to see that the value did change.
            </p>
            <anthem:Button ID="getButton" runat="server" Text="Get Value" OnClick="getButton_Click" />
            <anthem:Label ID="label" runat="server" />
            <br />
            <anthem:Button ID="setButton" runat="server" Text="Set Value" OnClick="setButton_Click" />
            <asp:TextBox ID="textBox" runat="server" />
        </div>
    </form>
</body>
</html>

<script runat="server">

    void getButton_Click(object sender, EventArgs e)
    {
        label.Text = hiddenField.Value;
        label.UpdateAfterCallBack = true;
    }

    void setButton_Click(object sender, EventArgs e)
    {
        hiddenField.Value = textBox.Text;
        hiddenField.UpdateAfterCallBack = true;
    }

</script>

