<%@ Page Language="C#" %>

<%@ Register TagPrefix="anthem" Namespace="Anthem" Assembly="Anthem" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <p>
                The timer is ticking every two seconds. Note that after disabling the timer, it
                ticks one last time before stopping. This can be "fixed" if it needs to be.</p>
            <anthem:Timer ID="timer" runat="server" Enabled="true" Interval="2000" OnTick="timer_Tick" />
            <anthem:Label ID="label" runat="server" />
            <br />
            <anthem:Button ID="disableTimer" runat="server" Text="Disable Timer" OnClick="disableTimer_Click" />
            <anthem:Button ID="enableTimer" runat="server" Text="Enable Timer" OnClick="enableTimer_Click" />
            <p>
                You can trigger other call backs to the server while the timer is ticking. This
                shouldn't affect the timer (much).</p>
            <anthem:Button ID="callBack" runat="server" Text="Call Back" OnClick="callBack_Click" /><br />
            <anthem:Label ID="callbacklabel" runat="server" />
        </div>
    </form>
</body>
</html>

<script runat="server">

    void timer_Tick(object sender, EventArgs e)
    {
        label.Text = DateTime.Now.ToString();
        label.UpdateAfterCallBack = true;
    }

    void disableTimer_Click(object sender, EventArgs e)
    {
        timer.Enabled = false;
    }

    void enableTimer_Click(object sender, EventArgs e)
    {
        timer.Enabled = true;
    }

    protected void callBack_Click(object sender, EventArgs e)
    {
        callbacklabel.Text = DateTime.Now.ToString();
        callbacklabel.UpdateAfterCallBack = true;
    }
</script>

